# What is closure

In JavaScript, closures are the primary mechanism used for hiding data.

Closure: It is a combination of function bundle together with reference to it’s surrounding state.

https://developer.mozilla.org/en-US/docs/Web/JavaScript/Closures
